<div>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <span class="mb-2 me-2">Логин<sup>*</sup></span>
    <input type="text"
           placeholder="Введите логин"
           pInputText
           [ngClass]="{'empty-field': !login}"
           [(ngModel)]="login"/>
  </div>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center">
    <span class="mb-2 me-2">Пароль<sup>*</sup></span>
    <input type="password"
           placeholder="Введите пароль"
           pInputText
           [ngClass]="{'empty-field': !password}"
           [(ngModel)]="password"/>
  </div>
</div>

<div>
  <p-checkbox label="Есть карта"
              [binary]="true"
              [(ngModel)]="isSelected"
              [disabled]="!showCardNumber"
              class="mb-3">
  </p-checkbox>
  <div class="mb-3 d-flex flex-column flex-sm-row justify-content-between align-items-start align-items-sm-center"
       *ngIf="isSelected">
    <span class="mb-2 me-2">Номер карты</span>
    <input type="text"
           placeholder="Введите номер карты"
           pInputText
           [(ngModel)]="cardNumber"/>
  </div>
</div>

<div class="caption">
  <p>* поля являются обязательными</p>
</div>

<div>
  <button type="button"
          (click)="logIn()"
          [disabled]="!login || !password"
          class="btn btn-primary w-100">
    Авторизоваться
  </button>
</div>

